| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
DC2978A.ino File Reference
Digital Power System Management and Power Supply Supervisors » : PolyPhase Synchronous Boost Controller with PMBus Interface

Analog Devices DC2978A Demonstration. More...

## Detailed Description

Analog Devices DC2978A Demonstration.

LTC7841: Six Channel Sequencer and Voltage Supervisor with EEPROM

      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.analog.com/products/LTC7841

http://www.analog.com/design-center/evaluation-hardware-and-software/evaluation-boards-kits/dc1798a-a.html

Copyright 2020(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC2978A.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Main Linduino Loop. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | reset ()
| Reset. More...
static void | clear_faults ()
| Clear faults. More...
static void | turn_off ()
| Turn off output. More...
static void | turn_on ()
| Turn on output. More...
static void | margin_high ()
| Margin high output. More...
static void | margin_low ()
| Margin low output. More...
static void | set_output_voltage (double v)
| Set output voltage. More...
static void | set_output_high_voltage (double v)
| Set output high voltage. More...
static void | set_output_low_voltage (double v)
| Set output low voltage. More...
static void | read_output_voltage ()
| Read output voltage. More...
static void | read_input_voltage ()
| Read input voltage. More...
static void | read_input_current ()
| Read input current. More...
static void | read_output_current ()
| Read output current. More...
static void | set_slew (uint8_t s)
| Set slew. More...
static void | read_status ()
| Read status. More...

## Macros
#define | LTC7841_I2C_ADDRESS 0x20

## Variables
static uint8_t | ltc7841_i2c_address
static LT_SMBusNoPec * | smbus = new LT_SMBusNoPec()

## Function Documentation

## ◆ clear_faults()

static void clear_faults | ( |  | ) |
| static

Clear faults.

Returns
  void

Definition at line 247 of file DC2978A.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Main Linduino Loop.

Returns
  void

Definition at line 96 of file DC2978A.ino.

## ◆ margin_high()

static void margin_high | ( |  | ) |
| static

Margin high output.

Returns
  void

Definition at line 270 of file DC2978A.ino.

## ◆ margin_low()

static void margin_low | ( |  | ) |
| static

Margin low output.

Returns
  void

Definition at line 278 of file DC2978A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Returns
  void

Definition at line 213 of file DC2978A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Returns
  void

Definition at line 198 of file DC2978A.ino.

## ◆ read_input_current()

static void read_input_current | ( |  | ) |
| static

Read input current.

Returns
  void

Definition at line 347 of file DC2978A.ino.

## ◆ read_input_voltage()

static void read_input_voltage | ( |  | ) |
| static

Read input voltage.

Returns
  void

Definition at line 333 of file DC2978A.ino.

## ◆ read_output_current()

static void read_output_current | ( |  | ) |
| static

Read output current.

Returns
  void

Definition at line 362 of file DC2978A.ino.

## ◆ read_output_voltage()

static void read_output_voltage | ( |  | ) |
| static

Read output voltage.

Returns
  void

Definition at line 319 of file DC2978A.ino.

## ◆ read_status()

static void read_status | ( |  | ) |
| static

Read status.

Returns
  void

Definition at line 389 of file DC2978A.ino.

## ◆ reset()

static void reset | ( |  | ) |
| static

Reset.

Returns
  void

Definition at line 240 of file DC2978A.ino.

## ◆ set_output_high_voltage()

static void set_output_high_voltage | ( | double | v | ) |
| static

Set output high voltage.

Returns
  void

Definition at line 297 of file DC2978A.ino.

## ◆ set_output_low_voltage()

static void set_output_low_voltage | ( | double | v | ) |
| static

Set output low voltage.

Returns
  void

Definition at line 308 of file DC2978A.ino.

## ◆ set_output_voltage()

static void set_output_voltage | ( | double | v | ) |
| static

Set output voltage.

Returns
  void

Definition at line 286 of file DC2978A.ino.

## ◆ set_slew()

static void set_slew | ( | uint8_t | s | ) |
| static

Set slew.

Returns
  void

Definition at line 377 of file DC2978A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 80 of file DC2978A.ino.

## ◆ turn_off()

static void turn_off | ( |  | ) |
| static

Turn off output.

Returns
  void

Definition at line 254 of file DC2978A.ino.

## ◆ turn_on()

static void turn_on | ( |  | ) |
| static

Turn on output.

Returns
  void

Definition at line 262 of file DC2978A.ino.

## Macro Definition Documentation

## ◆ LTC7841_I2C_ADDRESS

#define LTC7841_I2C_ADDRESS 0x20

Definition at line 66 of file DC2978A.ino.

## Variable Documentation

## ◆ ltc7841_i2c_address

uint8_t ltc7841_i2c_address
| static

Definition at line 70 of file DC2978A.ino.

## ◆ smbus

LT_SMBusNoPec* smbus = new LT_SMBusNoPec()
| static

Definition at line 75 of file DC2978A.ino.